[arch-commits] Commit in lib32-gettext/repos/multilib-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Mon May 25 18:47:28 UTC 2020


    Date: Monday, May 25, 2020 @ 18:47:27
  Author: felixonmars
Revision: 634902

archrelease: copy trunk to multilib-x86_64

Added:
  lib32-gettext/repos/multilib-x86_64/PKGBUILD
    (from rev 634901, lib32-gettext/trunk/PKGBUILD)
Deleted:
  lib32-gettext/repos/multilib-x86_64/PKGBUILD

----------+
 PKGBUILD |   79 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 40 insertions(+), 39 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-05-25 18:47:11 UTC (rev 634901)
+++ PKGBUILD	2020-05-25 18:47:27 UTC (rev 634902)
@@ -1,39 +0,0 @@
-# Maintainer: Florian Pritz <bluewind at xinu.at>
-# Contributor: Joakim Hernberg <jhernberg at alchemy dot lu>
-_pkgbasename=gettext
-pkgname=lib32-$_pkgbasename
-pkgver=0.20.1
-pkgrel=1
-pkgdesc="GNU internationalization library (32-bit)"
-arch=('x86_64')
-url="https://www.gnu.org/software/gettext/"
-license=('GPL')
-depends=('lib32-acl' lib32-gcc-libs $_pkgbasename)
-makedepends=(gcc-multilib)
-options=(!docs)
-source=(https://ftp.gnu.org/pub/gnu/gettext/${_pkgbasename}-${pkgver}.tar.gz{,.sig})
-md5sums=('bb5b0c0caa028105f3ca1905ddc306e2'
-         'SKIP')
-validpgpkeys=(462225C3B46F34879FC8496CD605848ED7E69871
-              68D94D8AAEEAD48AE7DC5B904F494A942E4616C2)
-
-build() {
-  export CC="gcc -m32"
-  export CXX="g++ -m32"
-  export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"
-
-  cd "${srcdir}/${_pkgbasename}-${pkgver}"
-  ./configure --prefix=/usr --libdir=/usr/lib32
-  make
-}
-
-check() {
- cd "${srcdir}/${_pkgbasename}-${pkgver}"
- make check || warning "Tests failed"
-}
-
-package() {
-  cd "${srcdir}/${_pkgbasename}-${pkgver}"
-  make DESTDIR="${pkgdir}" install
-  rm -rf "${pkgdir}"/usr/{bin,include,share}
-}

Copied: lib32-gettext/repos/multilib-x86_64/PKGBUILD (from rev 634901, lib32-gettext/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-05-25 18:47:27 UTC (rev 634902)
@@ -0,0 +1,40 @@
+# Maintainer: Florian Pritz <bluewind at xinu.at>
+# Contributor: Joakim Hernberg <jhernberg at alchemy dot lu>
+_pkgbasename=gettext
+pkgname=lib32-$_pkgbasename
+pkgver=0.20.2
+pkgrel=1
+pkgdesc="GNU internationalization library (32-bit)"
+arch=('x86_64')
+url="https://www.gnu.org/software/gettext/"
+license=('GPL')
+depends=('lib32-acl' lib32-gcc-libs $_pkgbasename)
+makedepends=(gcc-multilib)
+options=(!docs)
+source=(https://ftp.gnu.org/pub/gnu/gettext/${_pkgbasename}-${pkgver}.tar.gz{,.sig})
+sha512sums=('50b0520230dba5da6e04e51b2317e073cacf1536d73ea88e4b5dc6cc5bd97cf2c9a279c3c3ada1067f39c8b3bb0b1ce8e0823cc1dd4c33f4f10860bdf787009d'
+            'SKIP')
+validpgpkeys=(462225C3B46F34879FC8496CD605848ED7E69871
+              68D94D8AAEEAD48AE7DC5B904F494A942E4616C2
+              9001B85AF9E1B83DF1BDA942F5BE8B267C6A406D)  # Bruno Haible (Open Source Development)
+
+build() {
+  export CC="gcc -m32"
+  export CXX="g++ -m32"
+  export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"
+
+  cd "${srcdir}/${_pkgbasename}-${pkgver}"
+  ./configure --prefix=/usr --libdir=/usr/lib32
+  make
+}
+
+check() {
+ cd "${srcdir}/${_pkgbasename}-${pkgver}"
+ make check || warning "Tests failed"
+}
+
+package() {
+  cd "${srcdir}/${_pkgbasename}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  rm -rf "${pkgdir}"/usr/{bin,include,share}
+}


More information about the arch-commits mailing list